# Method: projects.locations.taxonomies.import

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.ImportTaxonomiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#body.aspect)
- [InlineSource](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#InlineSource)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#InlineSource.SCHEMA_REPRESENTATION)
- [CrossRegionalSource](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#CrossRegionalSource)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#CrossRegionalSource.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#try-it)

Creates new taxonomies (including their policy tags) in a given project by importing from inlined or cross-regional sources.

For a cross-regional source, new taxonomies are created by copying from a source in another region.

For an inlined source, taxonomies and policy tags are created in bulk using nested protocol buffer structures.

### HTTP request

`POST https://datacatalog.googleapis.com/v1/{parent}/taxonomies:import`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of project that the imported taxonomies will belong to. It takes the form `projects/{project}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `datacatalog.taxonomies.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // Union field `source` can be only one of the following: "inlineSource": { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#InlineSource`) }, "crossRegionalSource": { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#CrossRegionalSource`) } // End of list of possible types for union field `source`. } ``` |

| Fields ||
|---|---|
| Union field `source`. Source taxonomies to import. `source` can be only one of the following: ||
| `inlineSource` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#InlineSource`)`` Inline source taxonomy to import. |
| `crossRegionalSource` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#CrossRegionalSource`)`` Cross-regional source taxonomy to import. |

### Response body

Response message for `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies/import#google.cloud.datacatalog.v1.PolicyTagManagerSerialization.ImportTaxonomies`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "taxonomies": [ { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies#Taxonomy`) } ] } ``` |

| Fields ||
|---|---|
| `taxonomies[]` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.taxonomies#Taxonomy`)`` Imported taxonomies. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## InlineSource

Inline source containing taxonomies to import.

| JSON representation |
|---|
| ``` { "taxonomies": [ { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/SerializedTaxonomy`) } ] } ``` |

| Fields ||
|---|---|
| `taxonomies[]` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/SerializedTaxonomy`)`` Required. Taxonomies to import. |

## CrossRegionalSource

Cross-regional source used to import an existing taxonomy into a different region.

| JSON representation |
|---|
| ``` { "taxonomy": string } ``` |

| Fields ||
|---|---|
| `taxonomy` | `string` Required. The resource name of the source taxonomy to import. |